package cn.facade.abs;

import org.springframework.beans.factory.annotation.Autowired;
import cn.component.RedisKit;
import cn.component.file.FileDownload;
import cn.component.file.FileUpload;
import cn.orm.abs.ISqlToyDao;
import cn.orm.abs.ICommonAPI;

/**  
 * 数据库表字段：约定采用下划线表示法;页面字段：约定采用驼峰表示法
 * daoService: 已自动进行转换
 */
public abstract class IService extends IFile
{	
	/**sqltoy*/
	@Autowired
	protected ISqlToyDao daoService;	

	@Autowired
	protected RedisKit redisCache;
	
	@Autowired
	protected ICommonAPI sysBaseService;
	
	@Autowired
	protected FileUpload uploadFileService;
	
	@Autowired
	protected FileDownload downloadFileService;
	
}	
