package cn.facade.constant;

/**ATV专用常量*/
public class AtvConst
{
	/**Influxdb表名*/
	//板卡
	public static final String INFLUXDB_TABLE_BOARDCARD  = "boardCards";
	//车厢
	public static final String INFLUXDB_TABLE_CARRIAGE  = "carriages";
	//告警
	public static final String INFLUXDB_TABLE_ALARMSTATE  = "alarmstate";
	//设备上传
	public static final String INFLUXDB_TABLE_PUTCARD  = "equipment_status";
	//交换机端口
	public static final String INFLUXDB_TABLE_PORT = "port";
	//交换机汇聚
	public static final String INFLUXDB_TABLE_TRUNK = "trunk";
	//交换机环网
	public static final String INFLUXDB_TABLE_RINGNETWORK = "ringnetwork";
	//客流量
	public static final String INFLUXDB_TABLE_CROWEDS = "croweds";
	//cmd18
	public static final String INFLUXDB_TABLE_COMMAND = "command";
	//cmd20
	public static final String INFLUXDB_TABLE_LISTENER = "listener";




	/**Web的socket消息类别*/
	//硬件设备所发消息
	public static final String WS_MSG_EQUIP  = "equipment";
	//TTS消息
	public static final String WS_MSG_TTS  = "tts";
	//WEB所发消息
	public static final String WS_MSG_WEB  = "web";


	/**各种方法**/
	public static final int METHOD_NUM0  = 0;
	public static final int METHOD_NUM1  = 1;

	/**命令分隔符**/
	public static final String CMD_SEP  = "_";

	/**各种命令**/
	//板卡状态信息上传(数字)",广播设备状态 websocket板卡状态信息上传
	public static final int CMD_CODE_NUM1  = 1;
	//广播状态信息上传(数字)",广播系统运营状态上传接口
	public static final int CMD_CODE_NUM2  = 2;
	//PIS系统设备状态上传接口 数据上传websocket板卡状态数据
	public static final int CMD_CODE_NUM3  = 3;
	//设备故障信息上传接口
	public static final int CMD_CODE_NUM4  = 4;
	//开始推送TTS文本 运维平台->列车TTS设备
	public static final int CMD_CODE_NUM5  = 5;
	//TTS上传音频文件完成  列车TTS设备 ->运维平台
	public static final int CMD_CODE_NUM6  = 6;
	//TTS文件开始播放  运维平台->列车TTS设备
	public static final int CMD_CODE_NUM7  = 7;
	//设备远程重启   运维平台->列车
	public static final int CMD_CODE_NUM8  = 8;
	//测试平台注册  
	public static final int CMD_CODE_NUM9  = 9;
	//测试平台开始测试
	public static final int CMD_CODE_NUM10  = 10;
	//测试平台开始停止老化
	public static final int CMD_CODE_NUM11  = 11;
	//测试结果上传
	public static final int CMD_CODE_NUM12  = 12;
	//设备远程升级   运维平台->列车
	public static final int CMD_CODE_NUM13  = 13;
	//设备上传日志/音频   运维平台->列车
	public static final int CMD_CODE_NUM14  = 14;
	//设备上传日志/音频完成   列车->列车运维平台
	public static final int CMD_CODE_NUM15  = 15;
	//交换机状态   列车->列车运维平台
	public static final int CMD_CODE_NUM16  = 16;
	//列车->列车运维平台 信号系统信息
	public static final int CMD_CODE_NUM17  = 17;
	//广播主机触发命令   列车->列车运维平台
	public static final int CMD_CODE_NUM18  = 18;
	//LED显示（数字）",列车->列车运维平台
	public static final int CMD_CODE_NUM19  = 19;
	//警器音频监听   列车运维平台->列车
	public static final int CMD_CODE_NUM20  = 20;
}
