/**
 * 
 */
package cn.orm.sqltoy.config.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @project sqltoy-orm
 * @description 用来标记类是否是sqltoy的实体对象，便于EntityManager进行扫描
 * @author zhongxuchen
 * @version v1.0,Date:2012-6-8
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface SqlToyEntity {
}
