package cn.pojo.atv.vo;

import lombok.Data;
import java.util.Date;
import java.util.List;

import cn.pojo.atv.AtvBoardCardFaultFile;

/**
 * @Description: 板卡故障表
 */
@Data
public class AtvBoardCardFaultPage {

	/**主键*/
	private String id;
	/**创建人*/
	private String createBy;
	/**创建日期*/
	private Date createTime;
	/**更新人*/
	private String updateBy;
	/**更新日期*/
	private Date updateTime;
	/**所属部门*/
	private String sysOrgCode;
	/**故障编号*/
	private String sn;
	/**国家*/
	private String countryId;
	/**地区*/
	private String areaId;
	/**线路*/
	private String lineId;
	/**列车*/
	private String trainId;
	/**故障位置*/
	private String address;
	/**故障现象*/
	private String phenomenon;
	/**处理措施*/
	private String handleMode;
	/**处理结果*/
	private String handleOutcome;
	/**故障状态*/
	private Integer faultStatus;
	/**是否已读*/
	private Integer isRead;
	/**报修人*/
	private String submitUserId;
	/**报修人名*/
	private String submitUserName;
	/**工人*/
	private String workerUserId;
	/**工人名*/
	private String workerUserName;

	private List<AtvBoardCardFaultFile> atvBoardCardFaultFileList;

}
