package cn.pojo.atv.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import cn.pojo.atv.AtvKnowledgeFile;
import lombok.Data;

/**
 * @Description: 知识库表
 */
@Data
public class AtvKnowledgePage {

	/**主键*/
	private String id;
	/**创建人*/
	private String createBy;
	/**创建日期*/
	private Date createTime;
	/**更新人*/
	private String updateBy;
	/**更新日期*/
	private Date updateTime;
	private String sysOrgCode;
	/**标题*/
	private String title;
	/**关键字*/
	private String keyword;
	/**是否发布*/
	private Integer isRelease;
	/**知识类型knowledge_type*/
	private Integer knowledgeType;
	/**文本*/
	private String text;
	/**文件链接*/
	private String link;
	/**网址*/
	private String url;
	/**板卡故障单atv_board_card_fault*/
	private String boardCardFaultId;
	/**故障现象*/
	private String phenomenon;
	/**处理措施*/
	private String handleMode;
	/**处理结果*/
	private String handleOutcome;

	//知识库附件"
	private List<AtvKnowledgeFile> atvKnowledgeFileList=new ArrayList<>();

}
