package cn.pojo.atv.vo;

import java.util.Date;
import java.util.List;
import cn.pojo.atv.AtvBoardCardTestItem;
import lombok.Data;

/**
 * @Description: 板卡测试档案
 * @Author: jeecg-boot
 * @Date:   2020-10-14
 * @Version: V1.0
 */
@Data
public class WinccBoardCardTestPage {

	/**主键*/
	private String id;
	/**创建人*/
	private String createBy;
	/**创建日期*/
	private Date createTime;
	/**更新人*/
	private String updateBy;
	/**更新日期*/
	private Date updateTime;
	/**所属部门*/
	private String sysOrgCode;
	/**测试人*/
	private String tester;
	/**测试时间*/
	private Date testTime;
	/**线路atv_line*/
	private String lineId;
	/**序号*/
	private String serialNo;
	/**板卡atv_board_card*/
	private String boardCardId;

	//板卡测试项表
	private List<AtvBoardCardTestItem> atvBoardCardTestItemList;
}
