package cn.report.chart.model;

import java.io.Serializable;

public class ReportResult implements Serializable
{
	private static final long serialVersionUID = 1L;
	private boolean flag;//执行结果，true为执行成功 false为执行失败
    private String message;//返回提示信息，主要用于页面提示信息
    private Object data;//返回数据
    public ReportResult(boolean flag, String message) {
        super();
        this.flag = flag;
        this.message = message;
    }
    public ReportResult(boolean flag, String message, Object data) {
        this.flag = flag;
        this.message = message;
        this.data = data;
    }
    public boolean isFlag() {
        return flag;
    }
    public void setFlag(boolean flag) {
        this.flag = flag;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
    public Object getData() {
        return data;
    }
    public void setData(Object data) {
        this.data = data;
    }
}
