package cn.report.excel.easyexcel.api.cache.selector;

import org.apache.poi.openxml4j.opc.PackagePart;

import cn.report.excel.easyexcel.api.cache.ReadCache;

/**
 * Select the cache
 *
 * @author Jiaju Zhuang
 **/
public interface ReadCacheSelector {

    /**
     * Select a cache
     *
     * @param sharedStringsTablePackagePart
     * @return
     */
    ReadCache readCache(PackagePart sharedStringsTablePackagePart);
}
