package cn.report.excel.easyexcel.api.write.handler.impl;

import cn.report.excel.easyexcel.api.write.handler.RowWriteHandler;
import cn.report.excel.easyexcel.api.write.handler.context.RowWriteHandlerContext;

import lombok.extern.slf4j.Slf4j;

/**
 * Default row handler.
 *
 * @author Jiaju Zhuang
 */
@Slf4j
public class DefaultRowWriteHandler implements RowWriteHandler {

    @Override
    public void afterRowDispose(RowWriteHandlerContext context) {
        context.getWriteSheetHolder().setLastRowIndex(context.getRowIndex());
    }

}
