package cn.schedule.core;

import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;

import cn.pojo.entity.TSysJob;
import cn.schedule.util.JobInvokeUtil;


/**
 * 定时任务处理（禁止并发执行）
 */
@DisallowConcurrentExecution
public class QuartzDisallowConcurrentExecution extends AbstractQuartzJob {
    @Override
    protected void doExecute(JobExecutionContext context, TSysJob sysJob) throws Exception {
        JobInvokeUtil.invokeMethod(sysJob);
    }
}
