package cn.web.init;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
import cn.service.init.ITableToCacheService;
import javax.annotation.Resource;

@Component
@Order(value=3)
public class InitTableToCache implements CommandLineRunner {

    @Autowired
    ITableToCacheService dbSyncService;

    @Override
    public void run(String... strings){
        dbSyncService.atvTablesToCache();
    }
}