package cn.constant;

import java.nio.charset.Charset;

public final class CharsetKit
{	
	public static final String LINE_SEPARATOR = System.getProperty("line.separator");//行分隔符
	public static final String FILE_SEPARATOR = System.getProperty("file.separator");//分隔符
		
	public static final String EMPTY_JSON = "{}";
	public static final String FILL_FORMAT = "\\{\\}";
	public static final String SYMBOL_BACK_SLASH = "/";
	
	public static final String SYMBOL_COLON = ":";
	public static final String SYMBOL_COMMA = ",";
	public static final String SYMBOL_VLine = "|";
	public static final String SYMBOL_DOT = ".";
	public static final String SYMBOL_DOUBLE_QUOTE = "\"";
	public static final String SYMBOL_HASH = "#";
	public static final String SYMBOL_START = "*";
	public static final String SYMBOL_UNDERSCORE = "_";
	public static final String SYMBOL_DELIM_START = "{";
	public static final String SYMBOL_DELIM_END = "}";
	public static final String SYMBOL_BRACKET_START = "[";
	public static final String SYMBOL_BRACKET_END = "]";
	public static final String SYMBOL_SQL_TRIANGLE = "△";
	public static final String SYMBOL_SEPARATOR = "∈";
	public static final String SPACE = " ";
	public static final String SYMBOL_HIFEN = "-";
	
	public static final char C_UNDERLINE ='_';
	public static final char C_DOT = '.';
	public static final char C_SLASH = '/';
	public static final char C_BACKSLASH = '\\';
	public static final char C_DELIM_START = '{';
	public static final char C_DELIM_END = '}';
	public static final char C_BRACKET_START = '[';
	public static final char C_BRACKET_END = ']';
	
	/** UTF-8 字符集 */
	public static final String UTF8 = "UTF-8";
	/** GBK 字符集*/
	public static final String GBK = "GBK";
	/** UTF-8 */
	public static final Charset CHARSET_UTF_8 = Charset.forName(UTF8);
	/** GBK */
	public static final Charset CHARSET_GBK = Charset.forName(GBK);
}