package cn.pojo.atv.vo;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import cn.pojo.atv.AtvBoardCardFaultAnalyse;
import cn.pojo.atv.AtvBoardCardFaultFile;
import cn.pojo.atv.AtvBoardCardFaultHandle;
import lombok.Data;

//板卡故障详情实体
@Data
public class AtvBoardCardFaultDetails 
{
	 /**主键*/
    private String id;
    /**创建人*/
    private String createBy;
    /**创建日期*/
    private LocalDateTime createTime;
    /**更新人*/
    private String updateBy;
    /**更新日期yyyy-MM-dd HH:mm:ss*/
    private LocalDateTime updateTime;
    /**所属部门*/
    private String sysOrgCode;
    /**故障编号*/
    private String sn;
    /**国家atv_country*/
    private String countryId;
    /**地区atv_area*/
    private String areaId;
    /**线路atv_line*/
    private String lineId;
    /**列车atv_train*/
    private String trainId;
    /**故障位置*/
    private String address;
    /**故障现象*/
    private String phenomenon;
    /**处理措施*/
    private String handleMode;
    /**处理结果*/
    private String handleOutcome;
    /**故障状态*/
    private Integer faultStatus;
    /**是否已读*/
    private Integer isRead;
    /**报修人sys_user*/
    private String submitUserId;
    /**报修人名*/
    private String submitUserName;
    /**工人sys_user*/
    private String workerUserId;
    /**工人名*/
    private String workerUserName;
    /**板卡故障附件*/
    private List<AtvBoardCardFaultFile> atvBoardCardFaultFileList=new ArrayList<>();
    /**板卡处理单*/
    private List<AtvBoardCardFaultHandle> atvBoardCardFaultHandleList=new ArrayList<>();
    /**板卡分析单已完成提交时候用*/
    private List<AtvBoardCardFaultAnalyse> atvBoardCardFaultAnalyseList=new ArrayList<>();
    /**维护人员sys_user*/
    private String workers;
    /**维护人员电话sys_user*/
    private String phones;
}
