package cn.pojo.atv.vo;

import lombok.Data;
import java.util.Date;
import java.util.List;

import cn.pojo.atv.AtvOutputAndInputStockItem;

@Data
public class AtvInputVo {
    /**主键*/
    private String id;
    /**创建人*/
    private String createBy;
    /**创建日期*/
    private Date createTime;
    
    /**更新人*/
    private String updateBy;
    /**更新日期*/
    private Date updateTime;
    
    /**所属部门*/
    private java.lang.String sysOrgCode;
    
      /**项目*/
    private java.lang.String itemId;
    /**仓库atv_warehouse*/
    private java.lang.String warehouseId;
    
    
    /**负责人 "t_sys_user", "userId"*/
    private java.lang.String userId;
    
    /**负责人电话*/
    private java.lang.String userPhone;
    /**出/入库*/
    private java.lang.Integer outIn;

    /**出入库的单项集合*/
    private List<AtvOutputAndInputStockItem> atvOutputAndInputStockItems;

}
